AccountingFinancial Statements
Retrieve the Cash Flow Report
GET
Scopes: report:read
OAuth2ClientCredentialsBearer report:readheader
AuthorizationBearer <token>Scope: report:read
business_id*Business IdThe ID of the Business
Format
biz_stringbasis?ReportBasisAccrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.
Default
"modified_cash"Value in
"accrual""modified_cash"start_datetime*Start DatetimeThe start date (inclusive) in ISO-8601 format.
Format
date-timeend_datetime*End DatetimeThe end of the period (exclusive) in ISO-8601 format. To include a whole day, pass midnight at the start of the next day, e.g. 2026-04-01T00:00:00Z for a period ending March 31.
Format
date-timeperiod?|The period used to partition the report details.
Default
"all"Accept?array<|string>|The content type of the response
Successful Response
- response
data*array<>curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/reports/cash-flow?start_datetime=2025-01-01T00%3A00%3A00Z&end_datetime=2026-01-01T00%3A00%3A00Z'Example Response
{ "data": [ { "period": "2025", "records": [ { "name": "Parent Group", "amount": 21980.5, "total_amount": 21980.5, "has_entries": true, "ledger_id": null, "sort_code": "1010", "children": [ { "amount": 21980.5, "children": [], "ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo", "name": "Child Group", "total_amount": 21980.5 } ] } ] } ]}